Bug 241892 - databases/grass7: Update to 7.8.2
Summary: databases/grass7: Update to 7.8.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Loïc Bartoletti
URL: https://trac.osgeo.org/grass/wiki/Rel...
Keywords:
Depends on: 241893
Blocks:
  Show dependency treegraph
 
Reported: 2019-11-11 20:11 UTC by Loïc Bartoletti
Modified: 2020-04-02 04:44 UTC (History)
2 users (show)

See Also:


Attachments
grass 7.8.1 (103.48 KB, patch)
2019-11-11 20:11 UTC, Loïc Bartoletti
lbartoletti: maintainer-approval+
Details | Diff
grass 7.8.2 (125.37 KB, patch)
2020-03-02 06:28 UTC, Loïc Bartoletti
lbartoletti: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Loïc Bartoletti freebsd_committer 2019-11-11 20:11:53 UTC
Created attachment 209069 [details]
grass 7.8.1

databases/grass7: Update to 7.8.1

 * Update to 7.8.1
 * Use python3
 * Use wxPython40 for python3
 * Remove bash dependency. You can use any shell.
 * Remove some workaround in post-install (for / touch files)
 * Alphabetize USES and OPTIONS
 * Replace XX_configure_on by XX_configure_with as possible
 * Clean installation (remove __pycache__ and db.test)
 * Remove <foo> (fix build problem on <version> <arch>)

 Changelog:

   https://trac.osgeo.org/grass/wiki/Release/7.8.0-News
   https://trac.osgeo.org/grass/wiki/Release/7.8.1-News

QA:

  * portlint: OK (looks fine.)
  * testport: OK (poudriere: 11,12,13 ; i386/amd64 tested)
  * used at work
Comment 1 Loïc Bartoletti freebsd_committer 2020-03-02 06:28:58 UTC
Created attachment 212093 [details]
grass 7.8.2

- rebase and Update to 7.8.2
- fix pkg-plist
- order and commnets post-install steps
- USE PY_NUMPY variable
- Add missing py-six dependency
- Switch CONFIGURE_ON by CONFIGURE_WITH as possible
-
Comment 2 commit-hook freebsd_committer 2020-04-01 20:01:01 UTC
A commit references this bug:

Author: lbartoletti
Date: Wed Apr  1 19:59:46 UTC 2020
New revision: 530236
URL: https://svnweb.freebsd.org/changeset/ports/530236

Log:
  databases/grass7, math/saga, graphics/qgis and graphics/qgis-ltr: update to latest versions

      - math/saga:
          - Update to 7.6.2
          - Use wxWidgets 3.0+ instead of 3.1+ since 3.1 is not a mandatory version and this reduces the number of packages installed when you install saga and qgis/grass (which requires version 3.0).

      - databases/grass7:
          - Update to 7.8.2 first version for python3 only
          - Use ${PY_NUMPY} variable
          - Readd openmp
          - Use wxPython40 for python3
          - Remove bash dependency. You can use any shell.
          - Rework the workaround in post-install (for / touch files). Fix the long (random) standing issue with pkg-plist
          - Alphabetize USES and OPTIONS
          - Replace XX_configure_on by XX_configure_with as possible

      - graphics/qgis:
          - Update to 3.12.1
          - Remove patches (applied upstream or fixed in ports: pyqt5 / sip)

      - graphics/qgis-ltr:
          - Update to 3.10.4

  PR:             241892, 244979
  Reported by:    rainer hurling (maintainer), lbartoletti (maintainer)
  Reviewed by:    tcberner (mentor), rainer hurling (maintainer)
  Approved by:    tcberner (mentor), rainer hurling (maintainer)
  Differential Revision:  https://reviews.freebsd.org/D24198

Changes:
  head/databases/grass7/Makefile
  head/databases/grass7/distinfo
  head/databases/grass7/files/pkg-message.in
  head/databases/grass7/pkg-message
  head/databases/grass7/pkg-plist
  head/graphics/qgis/Makefile
  head/graphics/qgis/distinfo
  head/graphics/qgis/files/patch-cmake_FindGRASS.cmake
  head/graphics/qgis/files/patch-cmake_FindPyQt5.py
  head/graphics/qgis/files/patch-cmake_Txt2Tags.cmake
  head/graphics/qgis/files/patch-doc_INSTALL.html
  head/graphics/qgis/files/patch-doc_INSTALL.t2t
  head/graphics/qgis/files/patch-doc_news.html
  head/graphics/qgis/files/patch-doc_news.t2t
  head/graphics/qgis/files/patch-python_plugins_processing_algs_saga_SagaAlgorithmProvider.py
  head/graphics/qgis/files/patch-scripts_release.pl
  head/graphics/qgis/files/patch-scripts_update-news.pl
  head/graphics/qgis/files/patch-src_analysis_interpolation_qgsinterpolator.h
  head/graphics/qgis/files/patch-src_core_CMakeLists.txt
  head/graphics/qgis/files/patch-src_plugins_grass_CMakeLists.txt
  head/graphics/qgis/pkg-plist
  head/graphics/qgis-ltr/Makefile
  head/graphics/qgis-ltr/distinfo
  head/graphics/qgis-ltr/files/patch-cmake_FindGRASS.cmake
  head/graphics/qgis-ltr/files/patch-cmake_FindPyQt5.py
  head/graphics/qgis-ltr/files/patch-cmake_Txt2Tags.cmake
  head/graphics/qgis-ltr/files/patch-doc_INSTALL.html
  head/graphics/qgis-ltr/files/patch-doc_INSTALL.t2t
  head/graphics/qgis-ltr/files/patch-doc_news.html
  head/graphics/qgis-ltr/files/patch-doc_news.t2t
  head/graphics/qgis-ltr/files/patch-python_plugins_processing_algs_saga_SagaAlgorithmProvider.py
  head/graphics/qgis-ltr/files/patch-scripts_release.pl
  head/graphics/qgis-ltr/files/patch-scripts_update-news.pl
  head/graphics/qgis-ltr/files/patch-src_core_CMakeLists.txt
  head/graphics/qgis-ltr/files/patch-src_core_qgsproject.cpp
  head/graphics/qgis-ltr/files/patch-src_plugins_grass_CMakeLists.txt
  head/graphics/qgis-ltr/pkg-plist
  head/math/saga/Makefile
  head/math/saga/distinfo
  head/math/saga/files/patch-configure.ac
  head/math/saga/pkg-plist